Get asset contexts
curl --request GET \
--url https://api.mainnet.aptoslabs.com/decibel/api/v1/asset_contexts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mainnet.aptoslabs.com/decibel/api/v1/asset_contexts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mainnet.aptoslabs.com/decibel/api/v1/asset_contexts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"mark_price": 123,
"market": "0xmarket123...",
"mid_price": 123,
"open_interest": 123,
"oracle_price": 123,
"previous_day_price": 123,
"price_change_pct_24h": 123,
"volume_24h": 123
}
]Market Data
Get asset contexts
Retrieve perp market contexts including current prices, 24h volume, 24h price change, funding rates, and open interest for all perp markets or one perp market address.
GET
/
api
/
v1
/
asset_contexts
Get asset contexts
Authorizations
Bearer token from Geomi. See Authentication for setup instructions.
Query Parameters
Filter by one perp market address
Response
Asset context retrieved successfully

